Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038544
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-05-14 13:592018-06-01 14:11
ReportermaiteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038544: Wrong payment documents registered in backoffice when giving change in another currency from WebPOS

DescriptionIn case the cashier gives the change in different currency that receipt's currency, credit is generated to the customer (which is wrong)


Due to some problems related with the approach used to fix issue 38038 has been decided to go for a new approach to solve the situation

Steps To Reproduce1. Access POS terminal and create receipt for "Avalanche transceiver" and pay it using "USA cash". Purpose of this step is to have cash in USD
2. Create new receipt setting "Invoice this receipt" for "Insect repellent" pay it using 20 EUR and select "USA Cash" to give the change in USD
3. Access to backoffice to review registered documents and realize that they have some errors:

 a) the sales order document has erroneous Payment Plan info as "received Amount" is higher than "Expected amount" and negative amount appears as "outstanding amount" (when receipt has been fully paid)

 b) from Payment Details tab you can see that 2 payment documents have been created. One is generating credit to anonymous customer, which was not happening before and this credit is not being consumed.
Proposed SolutionNEW approach:

- No credit should be generated
- All details should be associated with sales order
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038038 closedranjith_qualiantech_com Wrong payment documents registered in backoffice when giving change in another currency from WebPOS 
depends on backport 0038683RR18Q2.1 closedranjith_qualiantech_com Wrong payment documents registered in backoffice when giving change in another currency from WebPOS 
depends on backport 0038684 closedranjith_qualiantech_com Wrong payment documents registered in backoffice when giving change in another currency from WebPOS 

-  Notes
(0104551)
hgbot (developer)
2018-05-17 09:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4ceef5b8072239a70e813d561ee37ba8751f66e1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 17 12:33:08 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4ceef5b8072239a70e813d561ee37ba8751f66e1 [^]

Related to issue 38544 : Change payment in different currency should be associated with payment details

* Credit should not be generated for Change amount
* Reverted changes for the issue 38038

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/utils/ticketCloseUtils.js
---
(0104553)
hgbot (developer)
2018-05-17 09:08

Repository: tools/automation/pi-mobile
Changeset: cc0feffcc798b2f08ecebe391682e9ab24378cf8
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 17 12:38:22 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/cc0feffcc798b2f08ecebe391682e9ab24378cf8 [^]

Verifies issue 38544 : Modified automated test 'I38038_VerifyReceiptChangeWithDiffCurrency'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I38038_VerifyReceiptChangeWithDiffCurrency.java
---

- Issue History
Date Modified Username Field Change
2018-05-14 13:59 maite New Issue
2018-05-14 13:59 maite Assigned To => Retail
2018-05-14 13:59 maite Triggers an Emergency Pack => No
2018-05-14 14:00 maite Issue Monitored: networkb
2018-05-14 14:01 maite Relationship added related to 0038038
2018-05-15 08:23 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-05-15 08:23 ranjith_qualiantech_com Status new => scheduled
2018-05-17 09:08 hgbot Checkin
2018-05-17 09:08 hgbot Note Added: 0104551
2018-05-17 09:08 hgbot Checkin
2018-05-17 09:08 hgbot Note Added: 0104553
2018-05-18 06:53 ranjith_qualiantech_com Status scheduled => resolved
2018-05-18 06:53 ranjith_qualiantech_com Resolution open => fixed
2018-06-01 13:09 marvintm Status resolved => new
2018-06-01 13:09 marvintm Resolution fixed => open
2018-06-01 13:10 marvintm Status new => scheduled
2018-06-01 13:10 marvintm Status scheduled => resolved
2018-06-01 13:10 marvintm Fixed in Version => RR18Q3
2018-06-01 13:10 marvintm Resolution open => fixed
2018-06-01 14:11 marvintm Review Assigned To => marvintm
2018-06-01 14:11 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker